/*
 * $Id: migrate.sql 101389 2011-11-25 01:51:25Z rlowery $
 *
 * Migrate netDeploy Global 5.5 and ManageSoft 6.0 database schemas
 * to ManageSoft 6.1
 *
 * Copyright 2011 Flexera Software LLC
 */

USE Master
GO

/*
 * Michael: Mon Apr 08 10:13 AUS Eastern Standard Time 2002
 * Need to manually fix up 5.5 (ndReports) database name
 */
IF EXISTS(
	SELECT * FROM dbo.sysdatabases
	WHERE [name] = 'ndReports'
)
BEGIN
	PRINT 'Setting db to single-user'

	-- Set the database into single-user mode
	ALTER DATABASE ndReports SET SINGLE_USER WITH ROLLBACK AFTER 60 SECONDS ;

	-- Rename it and use it
	EXEC sp_renamedb 'ndReports', 'ManageSoft'
END
GO



